SplitConfigParser (jEdit API Documentation)
Date: 2018-04-10

org.gjt.sp.jedit

## Class SplitConfigParser

- java.lang.Object
- - org.gjt.sp.jedit.SplitConfigParser

-     public class SplitConfigParser
      extends java.lang.Object

  Class used by PerspectiveManager to parse SplitConfig strings. May also be used by plugins.
  Since:
    jEdit 4.4

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SplitConfigParser(java.lang.String splitConfig)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `parse()` Parses the given split configuration string and removes splits, file names, and remote file names bases on the settings for this parser.
    `void` | `setIncludeFiles(boolean b)`
    `void` | `setIncludeRemoteFiles(boolean b)`
    `void` | `setIncludeSplits(boolean b)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SplitConfigParser

          public SplitConfigParser(java.lang.String splitConfig)

      Parameters:
        `splitConfig` - The string to parse and adjust.

  - ### Method Detail

    - #### setIncludeSplits

          public void setIncludeSplits(boolean b)

      Parameters:
        `b` - If true, retain any splits in the split configuration.

    - #### setIncludeFiles

          public void setIncludeFiles(boolean b)

      Parameters:
        `b` - If true, retain any file names found in the split configuration.

    - #### setIncludeRemoteFiles

          public void setIncludeRemoteFiles(boolean b)

      Parameters:
        `b` - If true, and if include files is true, then retain any remote file names found in the split configuration.

    - #### parse

          public java.lang.String parse()

      Parses the given split configuration string and removes splits, file names, and remote file names bases on the settings for this parser.
      Returns:
        The split configuration string adjusted for user preferences.